#Contact-main-container-border {
    border-top: #E4002C solid 1px;
    width: 60dvw;
    margin: auto;

    margin-top: 8dvh;
}


#Contact-main-container {
    border-top: 1px solid #ffffff !important;
    margin: 0 auto;
   
}


#careers-notice {
    display: flex;
    align-items: center;
    justify-content: center; 
    padding: 5em;
    display: visible !important;
}

/*Search Function & Map Styling starts here///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/

#w-widget {
    position: fixed;
    right: 0;
    top: 85dvh;
    margin-right: 3dvw !important;
    z-index: 1000;
}




#area-representatives {
    display: flex;
    flex-direction: column;
    width: 100vw;
    margin: 0 auto;
   

}

#area-r-heading {
    display: flex;
    justify-content: center;
    align-items: center;
}

#area-r-heading h3 {
    font-size: 32px;
    margin-left: 100px !important;
}

#area-r-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 1dvw;
    padding-top: 4dvh;
}

#area-r-c-search-results {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 85vw !important;
    box-sizing: border-box;
    box-shadow: #dbdbdb 5px 5px 5px 5px;
    padding-bottom: 2dvh;
    padding-top: 2dvh;

    margin-right: 4dvw;
}

#area-r-c-search {
    display: flex;
    flex-direction: row;
    border-bottom: #E4002C 2px solid;
    padding-bottom: 5px;
    
}


#search-bar {
 border: none;
 width: 49vw !important;
 height: 4dvh;
 text-align: center;
 color: #000;
 font-weight: bold;
}

#search-bar:focus {
    border: none !important; /* Ensure no border on focus */
    box-shadow: none; /* Remove any box-shadow on focus */
    outline: none;
    color: #000;
}


#search-btn {
 border: none;
 background-color: #ffffff00;
}

#refresh-btn {
    border: none;
    background-color: #fff;
}

#refresh-btn:hover {
    cursor: pointer;
}

#search-btn:hover {
 cursor: pointer;
 
}

#area-r-c-map {
    
    width: 28dvw;
    margin-bottom: 260px;
}

#area-r-c-map img {
    
    width: 30dvw;
}

.area-r-c-results {
    display: flex;
    flex-direction: column;
    margin-top: 10px;
    border: #777777 1px solid;
    padding-bottom: 10px;
    width: 100%;
    box-sizing: border-box;
    max-height: 100%;
}

#search-results-container {
    margin-left: 1dvw;
    margin-right: 1dvw;
    overflow-y: auto; /* Allow vertical scrolling */
    max-height: 60vh; /* Set a max height to prevent overflow */
    margin-bottom: 20px; /* Add spacing below the container */
    position: relative; /* Ensure it doesn't overlap */
   
    
}

.area-r-c-results-one-c-name {
    background-color: #7A7A7A;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin-bottom: 10px;
    height: 4dvh;
    width: 100%;
}


.area-r-c-results-one-c-name h4 {
    color: #f1f1f1;
    font-size: 20px;
}

.area-r-c-results-one-c-details {
    display: flex;
    flex-direction: column !important;
    justify-content: space-around;
    align-items: center;
    margin-bottom: 20px;
}

.area-r-c-results-one-c-details h5 {
    color: #000;
    font-size: 20px;
}

.area-r-c-results-one-c-details p {
    color: #E4002C;
    font-weight: 600;
    font-size: 20px;
}

.area-r-c-results-one-c-areas {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap !important;
    gap: 15px;
    justify-content: center; /* Center align towns */
    padding-left: 10px;
    padding-right: 10px;

}

.area-r-c-results-one-c-areas span {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    padding-left: 5px;

}


#search-button-c {
    display: flex;
    flex-direction: column;
    gap: 15px;
    margin-top: 15px;
    


}

#search-button-c button {
    border: none;
    background-color: #ffffff;
    font-size: 18px;
    width: 45vw !important;
    padding-top: 10px;
    padding-bottom: 10px;
}

#search-button-c button:hover {
    background-color: #E4002C;
    color: #ffffff;
    cursor: pointer;
}

#search-button-c.hidden {
    display: none; /* Hide when added class */
}


